package com.sambath.kunkhmer.view;
import android.content.Context;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.view.View;
import android.widget.FrameLayout;
import android.widget.TextView;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;

import com.sambath.kunkhmer.R;

public class ResultView  extends FrameLayout {
    public View vBox;
    public TextView tvResult;

    public ResultView(@NonNull Context context) {
        super(context);
        init();
    }

    public ResultView(@NonNull Context context, @Nullable AttributeSet attrs) {
        super(context, attrs);
        init();
    }

    public ResultView(@NonNull Context context, @Nullable AttributeSet attrs, int defStyleAttr) {
        super(context, attrs, defStyleAttr);
        init();
    }

    public ResultView(@NonNull Context context, @Nullable AttributeSet attrs, int defStyleAttr, int defStyleRes) {
        super(context, attrs, defStyleAttr, defStyleRes);
        init();
    }
    private void init() {
        View view = LayoutInflater.from(getContext()).inflate(
                R.layout.view_result, this, true);
        vBox = view.findViewById(R.id.v_box);
        tvResult = view.findViewById(R.id.tv_result);

    }
}